Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.app
Class Flow

    java.lang.Object
      com.servingxml.app.Flow

Direct Known Subclasses:
  FlowModifier

    public abstract class Flow

extends java.lang.Object

Constructor Summary
`Flow()`

Method Summary
`abstract Flow` | `augmentParameters(ServiceContext context, ParameterDescriptor[] parameterDescriptors)`
`abstract int` | `getCurrentLineNumber()`
`abstract SaxSink` | `getDefaultSaxSink()`
`abstract SaxSource` | `getDefaultSaxSource()`
`abstract StreamSink` | `getDefaultStreamSink()`
`abstract StreamSource` | `getDefaultStreamSource()`
`abstract Record` | `getParameters()`
`abstract Record` | `getRecord()`
`abstract Flow` | `replaceDefaultSaxSink(ServiceContext context, SaxSink SaxSink)`
`abstract Flow` | `replaceDefaultSaxSource(ServiceContext context, SaxSource saxSource)`
`abstract Flow` | `replaceDefaultStreamSink(ServiceContext context, StreamSink streamSink)`
`abstract Flow` | `replaceDefaultStreamSource(ServiceContext context, StreamSource streamSource)`
`abstract Flow` | `replaceParameters(ServiceContext context, Record parameters)`
`abstract Flow` | `replaceRecord(ServiceContext context, Record record)`
`abstract Flow` | `replaceRecord(ServiceContext context, Record record, int lineNumber)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Flow

    public Flow()

Method Detail

### getParameters

    public abstract Record getParameters()

### getDefaultStreamSource

    public abstract StreamSource getDefaultStreamSource()

### getDefaultSaxSource

    public abstract SaxSource getDefaultSaxSource()

### getRecord

    public abstract Record getRecord()

### getDefaultStreamSink

    public abstract StreamSink getDefaultStreamSink()

### getDefaultSaxSink

    public abstract SaxSink getDefaultSaxSink()

### getCurrentLineNumber

    public abstract int getCurrentLineNumber()

### augmentParameters

    public abstract Flow augmentParameters(ServiceContext context,
                                           ParameterDescriptor[] parameterDescriptors)

### replaceParameters

    public abstract Flow replaceParameters(ServiceContext context,
                                           Record parameters)

### replaceRecord

    public abstract Flow replaceRecord(ServiceContext context,
                                       Record record)

### replaceRecord

    public abstract Flow replaceRecord(ServiceContext context,
                                       Record record,
                                       int lineNumber)

### replaceDefaultStreamSink

    public abstract Flow replaceDefaultStreamSink(ServiceContext context,
                                                  StreamSink streamSink)

### replaceDefaultSaxSource

    public abstract Flow replaceDefaultSaxSource(ServiceContext context,
                                                 SaxSource saxSource)

### replaceDefaultStreamSource

    public abstract Flow replaceDefaultStreamSource(ServiceContext context,
                                                    StreamSource streamSource)

### replaceDefaultSaxSink

    public abstract Flow replaceDefaultSaxSink(ServiceContext context,
                                               SaxSink SaxSink)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD